Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 179049 - Indicators based on procfs are unusable in case of attach
Indicators based on procfs are unusable in case of attach
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
PC All
: P2 (vote)
: 6.x
Assigned To: Andrew Krasny
dlight-issues@cnd
68patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-26 13:25 UTC by Andrew Krasny
Modified: 2010-01-26 07:26 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed patch (3.76 KB, text/plain)
2009-12-26 13:30 UTC, Andrew Krasny
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Krasny 2009-12-26 13:25:45 UTC
Current implementation of collector.procfs uses fair timestamps received from /proc filesystem. All other collectors are session-start-time-relative (which means that they use time of session creation as a zero time point). So in case of 'attach' when process is already running for a while, microstates indicator will display 'real' times (0 - is a process creation time) while others will use relative times (0 - is a dlight session creation time). So indicators are not aligned.
Attach capability will be a part of stand-alone dlight, based on NB6.8. 
So the fix should go in the 6.8 brunch.
Comment 1 Andrew Krasny 2009-12-26 13:30:45 UTC
Created attachment 92934 [details]
Proposed patch
Comment 2 Andrew Krasny 2009-12-26 13:31:34 UTC
I have attached a proposed patch. Maria, could you review, please.
Comment 3 Maria Tishkova 2009-12-28 06:21:19 UTC
Andrew, I have looked at the proposed fixed, it looks OK.
You can push the changes.
Comment 4 Andrew Krasny 2009-12-28 06:40:08 UTC
Integrated: 
changeset:   154149:e0d4d18dc72d
Comment 5 Alexander Pepin 2010-01-13 06:40:49 UTC
can not be verified in NB
Comment 6 Andrew Krasny 2010-01-13 12:56:52 UTC
pushed to cnd-main [previously was pushed to release68 ;o/ ]

cnd-main/rev/74fe5ff527ad
Comment 7 pgebauer 2010-01-14 02:26:01 UTC
The fix has been ported into the release68_fixes repository.
http://hg.netbeans.org/release68_fixes/rev/f9f2175950ea
Comment 8 Alexander Pepin 2010-01-26 07:26:10 UTC
can not be verified in NB


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo